<?php
/************************************************************************/
/* PHP-NUKE MaXiMuS: Web Portal System                                  */
/* =============================                                        */
/*                                                                      */
/* Copyright (c) 2002 - 2005                                            */
/* http://www.php-maximus.fr                                            */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
defined('MAXIMUS') or Header("Location: ../../index.php");

$module_name = "Recommend_Us";
get_lang($module_name);
$pagetitle = "- "._RECOMMEND."";

function RecommendSite($mess="0") {
	global $cookie, $module_name, $gfx_chk;
	incoh();
	title(""._RECOMMEND."");
	//Max_OpenTable();
	if ($mess == 1) {
		$mess = "<center>"._SECURITYCODEERROR."</center><br /><br />";
	} else {
		$mess = "";
	}
	if (defined('USER_ALLOW')) {
		$sql = "SELECT `username`, `user_email` from `".TABLE_USERS."` WHERE `username`='$cookie[1]'";
		if ( !($result = $GLOBALS['db']->sql_query($sql)) )
{ query_die(GENERAL_ERROR, 'Could not obtain users', '', __LINE__, __FILE__, $sql);}
	while ($row = $GLOBALS['db']->sql_fetchrow($result)) {
		$yn = stripslashes($row['username']);
		$ye = stripslashes($row['user_email']);
	}

	echo "<center><font class=\"content\"><b>"._RECOMMEND."</b></font></center><br /><br />$mess"
	."<table align=\"left\" border=\"0\" cellpadding=\"5\" cellspacing=\"5\"><tr><td>"
	."<form action=\"modules.php?name=$module_name\" method=\"post\">"
	."<input type=\"hidden\" name=\"op\" value=\"SendSite\" />"
	."<b>"._FYOURNAME." </b></td><td><input type=\"text\" name=\"yname\" value=\"$yn\" size=\"30\" /></td></tr>\n"
	."<tr><td><b>"._FYOUREMAIL." </b></td><td><input type=\"text\" name=\"ymail\" value=\"$ye\" size=\"30\" /></td></tr>\n"
	."<tr><td><b>"._FFRIENDNAME." </b></td><td><input type=\"text\" name=\"fname\" size=\"30\" /></td></tr>\n"
	."<tr><td><b>"._FFRIENDEMAIL." </b></td><td><input type=\"text\" name=\"fmail\" size=\"30\" /></td></tr>\n";
	mt_srand ((double)microtime()*1000000);
	$maxran = 1000000;
	$random_num = mt_rand(0, $maxran);
	if (extension_loaded("gd") AND $gfx_chk != 0 ) {
		echo "<tr><td><b>"._SECURITYCODE.":</b></td><td><img src='?gfx=gfx_little&amp;random_num=$random_num' border='1' alt='"._SECURITYCODE."' title='"._SECURITYCODE."'></td></tr>\n";
		echo "<tr><td><b>"._TYPESECCODE.":</b></td><td><input type=\"text\" NAME=\"gfx_check\" SIZE=\"3\" maxlenght=\"3\" /></td></tr>\n";
		echo "<input type=\"hidden\" name=\"random_num\" value=\"$random_num\" />\n";
	} else {
		echo "<input type=\"hidden\" name=\"random_num\" value=\"$random_num\" />\n";
	}
	echo "<tr><td>&nbsp;</td><td><input type='submit' onclick=\"this.form.submit();this.disabled=true;this.value='"._WAITING."'\" value="._SEND." /></form></td></tr></table>\n";
	//Max_CloseTable();
	incof();
}
}
function SendSite($yname, $ymail, $fname, $fmail, $random_num="0", $gfx_check) {
	global $sitename, $slogan, $nukeurl, $module_name, $gfx_chk, $sitekey;
	$datekey = date("F j");
	$rcode = hexdec(md5($_SERVER[HTTP_USER_AGENT] . $sitekey . $random_num . $datekey));
	$code = substr($rcode, 2, 3);
	if (extension_loaded("gd") AND $code != $gfx_check AND $gfx_chk != 0) {
		$mess = 1;
		redirect_url("modules.php?name=$module_name&op=RecommendSite&mess=$mess");
	} else {
		$fname = stripslashes(FixQuotes(check_html(removecrlf($fname))));
		$fmail = stripslashes(FixQuotes(check_html(removecrlf($fmail))));
		$yname = stripslashes(FixQuotes(check_html(removecrlf($yname))));
		$ymail = stripslashes(FixQuotes(check_html(removecrlf($ymail))));
		$subject = ""._INTSITE." $sitename";
		$message = ""._HELLO." $fname:\n\n"._YOURFRIEND." $yname "._OURSITE." $sitename "._INTSENT."\n\n\n"._FSITENAME." $sitename\n$slogan\n"._FSITEURL." $nukeurl\n";
    if ($fname == "" || $fmail == "" || $yname == "" || $ymail == "") {
    redirect_url("modules.php?name=$module_name");
    } else {
		mail($fmail, $subject, $message, "From: \"$yname\" <$ymail>\nX-Mailer: PHP/" . phpversion());
		update_points(3);
		redirect_url("modules.php?name=$module_name&op=SiteSent&fname=$fname");
	}
   }
}

function SiteSent($fname) {
	incoh();
	$fname = stripslashes(FixQuotes(check_html(removecrlf($fname))));
	Max_OpenTable();
	echo "<center><font class=\"content\">"._FREFERENCE." $fname...<br /><br />"._THANKSREC."</font></center>";
	Max_CloseTable();
	incof();
}


switch($op) {

	case "SendSite":
	SendSite($yname, $ymail, $fname, $fmail, $random_num, $gfx_check);
	break;

	case "SiteSent":
	SiteSent($fname);
	break;

	default:
	RecommendSite($mess);
	break;

}